Bug 710473 - cherokee: A weakness in Cherokee’s administrative interface random administrator password generation [fedora-all]
Summary: cherokee: A weakness in Cherokee’s administrative interface random administra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee
Version: 14
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-2190
TreeView+ depends on / blocked
 
Reported: 2011-06-03 13:51 UTC by Jan Lieskovsky
Modified: 2011-10-01 01:32 UTC (History)
1 user (show)

Fixed In Version: cherokee-1.2.99-2.el4
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 03:35:33 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-06-03 13:51:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=710471

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-09-13 09:28:35 UTC
cherokee-1.2.99-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc15

Comment 2 Fedora Update System 2011-09-13 09:37:11 UTC
cherokee-1.2.99-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc14

Comment 3 Fedora Update System 2011-09-13 10:15:57 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 4 Jan Lieskovsky 2011-09-13 11:14:18 UTC
(In reply to comment #1)
> cherokee-1.2.99-1.fc15 has been submitted as an update for Fedora 15.
> https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc15

> cherokee-1.2.99-1.fc14 has been submitted as an update for Fedora 14.
> https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc14

> cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
> https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Hi Pavel,

  what about the EPEL-6 update for this. I can see it in Koji:
[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=263334

but can't see Bodhi update request for it. Is this one to come yet?

Thanks && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team

Comment 5 Fedora Update System 2011-09-13 11:41:06 UTC
cherokee-1.2.99-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el6

Comment 6 Fedora Update System 2011-09-13 11:45:41 UTC
cherokee-1.2.99-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc16

Comment 7 Pavel Lisý 2011-09-13 11:50:12 UTC
I don't know how it suppose to work.

I'm convinced I've done it by "fedpkg update" on all branches this morning but it appeared in f14, f15 and el5 only.

Now I've run "fedpkg update" on missing branches (el6, f16) again so we will see.

Pavel

Comment 8 Jan Lieskovsky 2011-09-13 12:12:01 UTC
(In reply to comment #7)
> I don't know how it suppose to work.
> 
> I'm convinced I've done it by "fedpkg update" on all branches this morning but
> it appeared in f14, f15 and el5 only.
> 
> Now I've run "fedpkg update" on missing branches (el6, f16) again so we will
> see.

Ok, looks this time it went OK. The missing two (el6, fc16) appeared now too.

Thanks again && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team

> 
> Pavel

Comment 9 Jan Lieskovsky 2011-09-13 12:16:21 UTC
(In reply to comment #8)
> Ok, looks this time it went OK. The missing two (el6, fc16) appeared now too.

One problem yet though. Would it be possible to schedule EPEL-4 cherokee update too? (AFAICS cherokee-1.2.1-1.el4 is still the latest one).

Thanks.

Comment 10 Fedora Update System 2011-09-13 22:23:34 UTC
Package cherokee-1.2.99-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherokee-1.2.99-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.fc16
then log in and leave karma (feedback).

Comment 11 Pavel Lisý 2011-09-14 09:39:12 UTC
Hi Jan

I though is was impossible to built it on EL4, but than I found way through. Enjoy it. It will be available in a while.

Pavel

Comment 12 Fedora Update System 2011-09-14 10:09:56 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 13 Fedora Update System 2011-09-25 03:35:02 UTC
cherokee-1.2.99-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-09-25 03:49:00 UTC
cherokee-1.2.99-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-09-29 03:24:00 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-29 03:26:42 UTC
cherokee-1.2.99-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-09-30 18:58:20 UTC
cherokee-1.2.99-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-10-01 01:31:00 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.